package com.bzd.system.service.jkgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 购药信息收集 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SJkglRegistrationinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSJkglRegistrationinfo(PageData pd)throws Exception {
        return daoSupport.update("SJkglRegistrationinfoMapper.addSJkglRegistrationinfo", pd);
    }

    public List<PageData> findSJkglRegistrationinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SJkglRegistrationinfoMapper.selectSJkglRegistrationinfoList", pd);
    }

    public Integer SJkglRegistrationinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SJkglRegistrationinfoMapper.SJkglRegistrationinfoRemove", pd);
    }


    public Integer updateSJkglRegistrationinfo(PageData pd)throws Exception {
        return daoSupport.update("SJkglRegistrationinfoMapper.updateSJkglRegistrationinfo", pd);
    }

}
